//
//  Messagerie pour Graupner Hott V4
//  Module General Air
//  www.thyzoon.fr
//
// 2011-2012
//

#if defined(ARDUINO) && ARDUINO >= 100
  #include "Arduino.h"
  #else
  #include "WProgram.h"
  #endif
  
#define ALARM_BYTE_POS 2
#define CHECKSUM_POS   44
#define LENGTH	45
#define TPS_EM	2

#define ALARME_TENSION_SEUIL 0x10
#define ALARME_TENSION_MINI  0x15
#define ALARME_OFF 0x00

class GMessage {

private:
  uint8_t checksum (uint8_t *data);

public:
  void send();
  void setMainVoltage(float amp);
  void setVoltage1(float volt);
  void setVoltage2(float volt);
  void setLipo(float volt,int lipo);
  void setAmpere(float amp);
  void setMilliAmpere(uint16_t mA);
  void setAltitudeInMeters(uint16_t alti);
  void setClimbrate(float sr);
  void setClimbrate_M3(int srmmm);
  void setTemp (int temp, int capteur);
  void setFuelPercent(uint8_t pourcent);
  void setFuelMilliliters(uint16_t ml);
  void setRPM(uint16_t rpm);
  void alarme(uint8_t son);
};



